.t3-page-timer {
  .t3-common-actions {
    text-align: right;
  }
  .t3-form-add {
    max-width: 600px;
    .t3-input-fields {
      .t3-time {
        display: flex;
        & > * {
          flex: 1 1;
          margin-right: 10px;
          &:last-child {
            margin: 0;
          }
        }
      }
      .t3-name {
        text-align: right;
        & > * {
          display: block;
        }
      }
      .t3-audio {
        display: flex;
        justify-content: space-between;
        & > div {
          display: flex;
          align-items: center;
          justify-content: center;
        }
        .t3-sound-selector {
          flex: 1 0;
          & > .mat-form-field {
            width: 100%;
          }
        }
        .t3-volume, .t3-checkbox{
          margin-left: 20px;
        }
        .t3-checkbox {
          display: flex;
          justify-content: center;
          align-items: center;
          flex: 0 1
        }
      }
    }
    .t3-actions {
      text-align: right;
      & > * {
        margin-right: 10px;
        &:last-child {
          margin: 0;
        }
      }
    }
  }
  .t3-list {
    margin-top: 30px;
    .t3-timer {
      margin-bottom: 20px;
      &:last-child {
        margin-bottom: 0;
      }
      .t3-name-row {
        margin: 0 0 0 3px;
        font-size: 20px;
        line-height: 1;
      }
      .t3-time-left-with-actions-row {
        display: flex;
        align-items: center;
        & > * {
          flex: 0 1;
        }
        .t3-time-left {
          font-size: 64px;
          line-height: 1;
          margin: 0;
        }
        .t3-actions {
          margin-left: 20px;
          display: flex;
          & > * {
            margin-right: 10px;
            &:last-child {
              margin-right: 0;
            }
          }
        }
      }
      .t3-elapsed-time-row {
        font-size: 18px;
        margin: 0 0 0 7px;
      }
    }
  }
}
